umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all functions with links to the classes they belong to:

### - h -

- handleCursorKeyReleaseEvent() : UMLApp
- handleRename() : FloatingTextWidget
- HandleTranslationUnit() : FindNamedClassConsumer
- hasAbstractOps() : SimpleCodeGenerator, UMLClassifier
- hasAccessorMethods() : UMLClassifier
- hasAssociation() : UMLCanvasObject
- hasAssociationClassFields() : ClassifierCodeDocument
- hasAssociations() : UMLClassifier
- hasAttributeClassFields() : ClassifierCodeDocument
- hasAttributes() : UMLClassifier
- hasBeenWritten() : XMLSchemaWriter
- hasClassFields() : ClassifierCodeDocument
- hasContainer() : PythonWriter
- hasDefaultValueAttr() : SimpleCodeGenerator
- hasDoc() : UMLObject
- hasDocumentation() : WidgetBase
- hasEntityAttribute() : UMLUniqueConstraint
- hasEntityAttributePair() : UMLForeignKeyConstraint
- hasMethods() : UMLClassifier
- hasObjectVectorClassFields() : ClassifierCodeDocument
- hasObjectWidget() : MessageWidget
- hasOperationMethods() : UMLClassifier
- hasPrimaryKey() : UMLEntity
- hasStaticAttributes() : UMLClassifier
- hasVectorFields() : UMLClassifier
- headerData() : DiagramsModel, ObjectsModel, StereotypesModel
- headingFileDir() : CodeGenerator
- height() : ChildWidgetPlacement, UMLWidget
- hideArrowButtons() : ClassifierListPage
- hideEvent() : DefaultValueWidget, UMLScene, UMLView
- HierarchicalCodeBlock() : HierarchicalCodeBlock
- highlightBlock() : CodeTextHighlighter
- highlightCurrentLine() : CodeTextEdit
- hoverEnterEvent() : AssociationLine, AssociationWidget
- hoverLeaveEvent() : AssociationLine, AssociationWidget
- hoverMoveEvent() : AssociationLine, AssociationWidget